%global langs cs de en es fr it pl pt ru se sk
Name:           tucan
Version:        0.3.9
Release:        0.2.alpha%{?dist}
Summary:        Manager for downloads and uploads at hosting sites

Group:          Applications/Internet
License:        GPLv2+
URL:            http://cusl3-tucan.forja.rediris.es
Source0:        http://forja.rediris.es/frs/download.php/1470/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.3.9-shutdown.patch

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
Requires:       pygtk2
Requires:       python-imaging
Requires:       tesseract
Requires:       librsvg2


%description
Tucan is a graphical manager to upload and download from the most famous 
file hosting sites (e.g. rapidshare, megaupload).


%prep
%setup -q 

sed -i 's|OPTION_TRAY_CLOSE: "False"|OPTION_TRAY_CLOSE: "True"|g' core/config.py

for f in ./README.es ./docs/FAQ.es ./docs/service-HOWTO.es
do
  iconv -f iso-8859-1 -t utf-8 $f |sed 's|\r||g' > $f.utf8
  touch -c -r $f $f.utf8
  mv $f.utf8 $f
done

sed -i 's|PATH_LOCALES = os.path.join(PATH, "i18n")|PATH_LOCALES = os.path.join(PATH, "%{_datadir}/locale")|g' \
       core/cons.py
sed -i 's|ln -sf $(MAINDIR)$(EXECFILE) $(BINDIR)$(NAME)|#ln -sf $(MAINDIR)$(EXECFILE) $(BINDIR)$(NAME)|g' \
       Makefile

%patch0 -p1


%build
for l in %{langs}
do
  rm -rf i18n/$l/LC_MESSAGES/%{name}.mo
  msgfmt i18n/$l/$l.po -o i18n/$l/LC_MESSAGES/%{name}.mo
done


%install
rm -rf %{buildroot}

make install \
     DESTDIR="%{buildroot}/%{_prefix}" \
     MAINDIR="%{buildroot}/%{_datadir}/%{name}-%{version}/"

ln -s %{_datadir}/%{name}-%{version}/%{name}.py \
      %{buildroot}%{_bindir}/%{name}

for l in %{langs}
do
  mkdir -p %{buildroot}/%{_datadir}/locale/$l/LC_MESSAGES/
  install -Dpm0644 i18n/$l/LC_MESSAGES/%{name}.mo \
           %{buildroot}/%{_datadir}/locale/$l/LC_MESSAGES/
done

desktop-file-install \
       --dir=%{buildroot}/%{_datadir}/applications/ \
       %{name}.desktop

%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README README.es TODO docs/*
%{_bindir}/%{name}
%{_datadir}/%{name}-%{version}/
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/applications/%{name}.*


%changelog
* Sun Dec 06 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.3.9-0.2.alpha
- RHBZ #544653 

* Sat Oct 17 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.3.9-0.1.alpha
- New upstream release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-0.2.alpha
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.3.8-0.1.alpha
- New upstream release
- Close to tray as default RHBZ #502416 (feature request)
- Upstream solved RHBZ #502437 (feature request)

* Thu Mar 26 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.3.7-0.1.alpha
- New upstream release

* Thu Mar 26 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.3.6-0.2.alpha
- Correct python_sitelib definition
- honor timestamp of install in the Makefile via patch
- add python as BR
- Correct the binfile

* Thu Mar 26 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.3.6-0.1.alpha
- Initial package build
